<?php

namespace Daylight\Core\Modules\Admin\View\Composers;

use Daylight\Core\Modules\Admin\Registries\ShortcutRegistry;
use Illuminate\View\View;

class ShortcutViewComposer
{
    public function __construct(
        protected ShortcutRegistry $shortcuts,
    ) {
        //
    }

    public function compose(View $view): void
    {
        $view->with('shortcuts', $this->shortcuts->all());
    }
}
